<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout2}">


<head>
  <meta charset="UTF-8">
  <title>Related Income</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4">
  <!--    <div th:include="sidebar::sidebar" th:remove="tag"> sidebar </div>-->

  <main class="bd-main-xxl">
    <div class="row">
      <div class="col-md-12">
        <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
          Related Income
        </div>
      </div>
    </div>
  </main>
  <div class="row">
    <div class="col-md-9">
      <div class="alert alert-danger" role="alert" th:if="${gagal != null}">
        Save Data Gagal!
        <p>Data Gagal Disimpan. Jumlah pengajuan yang anda masukan melebihi sisa detail anggaran yang anda pilih</p>
      </div>

      <div class="alert alert-danger" role="alert" th:if="${gagalpagubudget != null}">
        <h4>Save Data Gagal!</h4>

        <p>Data Gagal Disimpan. Jumlah pengajuan yang anda masukan melebihi sisa PAGU anggaran..</p>
      </div>

      <div class="alert alert-danger" role="alert" th:if="${gagalBlocking != null}">
        <h4>Save Data Gagal!</h4>

        <p th:text="${gagalBlocking}">Data Gagal Disimpan. Jumlah pengajuan yang anda masukan melebihi sisa PAGU anggaran..</p>
      </div>

      <div class="alert alert-danger" role="alert" th:if="${gagalAnggaran != null}">
        <h4>Save Data Gagal!</h4>

        <p>Data Gagal Disimpan. Jumlah pengajuan yang anda masukan melebihi sisa Anggara pada departemen anda</p>
      </div>

      <div class="alert alert-danger" role="alert" th:if="${gagalkaryawan != null}">
        <h4>Save Data Gagal!</h4>

        <p>kolom request For belum diisi..</p>
      </div>

      <form class="form-horizontal" th:action="@{/transaksi/pendapatan_terkait/save}" th:object="${pendapatanTerkait}" method="post" enctype="multipart/form-data">
        <div class="card">
          <div class="card-body">

            <input type="hidden" name = "estimasiPendapatanTerkait" th:value="${estimasiPendapatanTerkait.getId()}" id="estimasiPendapatanTerkait">

            <div class="mb-3">
              <label for="tanggalString" class="form-label"
              >Date</label
              >
              <input
                      type="date"
                      class="form-control"
                      id="tanggalString"
                      th:field="*{tanggalString}"
                      name="tanggalString"
                      placeholder="Title"
              />
              <p
                      th:if="${#fields.hasErrors('tanggalString')}"
                      th:errors="*{tanggalString}"
                      class="text-danger"
              >
                Mata Anggaran Error
              </p>
            </div>
            <div class="mb-3">
              <label for="deskripsi" class="form-label">Description</label>
              <textarea class="form-control" id="deskripsi" name="deskripsi" th:field="*{deskripsi}" rows="3"></textarea>
              <p th:if="${#fields.hasErrors('deskripsi')}" th:errors="*{deskripsi}" class="text-danger"> Mata Anggaran Error</p>
            </div>

            <div class="mb-3">
              <label for="jumlah" class="form-label">Qty</label>
              <input type="text" class="form-control" id="jumlah" th:field="*{jumlah}" name="jumlah" placeholder="Qty">
              <p th:if="${#fields.hasErrors('jumlah')}" th:errors="*{jumlah}" class="text-danger"> Mata Anggaran Error</p>
            </div>

            <div class="mb-3">
              <label for="inputSatuan" class="form-label">Unit</label>
              <input type="text" class="form-control" id="inputSatuan" th:field="*{satuan}" name="satuan" th:placeholder="${estimasiPendapatanTerkait.getSatuan()}" readonly>
              <p th:if="${#fields.hasErrors('satuan')}" th:errors="*{satuan}" class="text-danger"> Mata Anggaran Error</p>
            </div>


            <div class="mb-3">
              <label for="inputAmount" class="form-label">Unit Price</label>
              <input type="text" class="form-control" id="inputAmount" th:field="*{nominalSatuan}" name="amount" placeholder="0" >
              <p th:if="${#fields.hasErrors('nominalSatuan')}" th:errors="*{nominalSatuan}" class="text-danger"> Mata Anggaran Error</p>
            </div>

            <div class="mb-3">
              <label for="lampiran" class="form-label">File Upload</label>
              <input class="form-control" type="file" name="lampiran" id="lampiran" accept="image/jpeg,mage/jpg,image/png,application/pdf" required>
              <p class="help-block">Upload file bila perlu.</p>
            </div>



            <input type="hidden" name="id" th:field="*{id}">
          </div>
          <div class="card-body">
            <a th:href="@{/transaksi/pendapatan_terkait/add}" class="btn btn-default" style="--bs-btn-bg: #e8ecf1">Cancel</a>
            <button type="submit" class="btn btn-primary pull-right se" style="--bs-btn-bg: #15408d" id="simpan" onclick="disableSimpan()">Save</button>
          </div>
        </div>

      </form>
    </div>
  </div>
</main>

<section layout:fragment="footer" class="script">
  <script>
    $(".js-example-placeholder-single").select2({
      placeholder: "Pilih Salah Satu",
      allowClear: true
    });


    (function($){
      $('#anggaran').select2();

      $('#anggaran').on('select2:selecting', function(e) {
        console.log('Selecting: ' , e.params.args.data.id);
        $('#isiAnggaran').val(e.params.args.data.id);
      });
    })(jQuery);

    function dAnggaran() {
      let dropdown = $('#detailAnggaran');

      dropdown.empty();

      dropdown.append('<option selected="true" disabled>Pilih Detail Anggaran</option>');
      dropdown.prop('selectedIndex', 0);
      console.log($('#isiAnggaran').val())
      const url = '/api/detail/anggarandto?idAnggaran='+$('#isiAnggaran').val();

      // Populate dropdown with list of provinces
      $.getJSON(url, function (data) {
        $.each(data, function (key, entry) {
          dropdown.append($('<option></option>').attr('value', entry.id).text(entry.programKerja +' - '+ entry.deskripsi + ' - sisa : ' + entry.sisa));
        })
      });
    }


    function hitung() {
      var x = document.getElementById("detailAnggaran").value;
      $('#isiDetailAnggaran').val(x)
      console.log(x);
      const url = '/api/anggaran/hitung?id='+x;
      $.getJSON(url, function (data) {

        $('#inputAmount').val(data.amount);
        $('#inputSatuan').val(data.satuan);

      });

    }


    $('.simpan').click(function () {
      Swal.fire({
        position: 'top-end',
        type: 'success',
        title: 'Your work has been saved',
        showConfirmButton: false
      })
    });
  </script>
  <script>
    $( '#anggaran' ).select2( {
      theme: "bootstrap-5",
      width: $( this ).data( 'width' ) ? $( this ).data( 'width' ) : $( this ).hasClass( 'w-100' ) ? '100%' : 'style',
      placeholder: $( this ).data( 'placeholder' ),
    } );
    $( '#detailAnggaran' ).select2( {
      theme: "bootstrap-5",
      width: $( this ).data( 'width' ) ? $( this ).data( 'width' ) : $( this ).hasClass( 'w-100' ) ? '100%' : 'style',
      placeholder: $( this ).data( 'placeholder' ),
    } );
    $( '#requestFor' ).select2( {
      theme: "bootstrap-5",
      width: $( this ).data( 'width' ) ? $( this ).data( 'width' ) : $( this ).hasClass( 'w-100' ) ? '100%' : 'style',
      placeholder: $( this ).data( 'placeholder' ),
    } );
  </script>
  <script>
    function disableSimpan(){
      document.getElementById("simpan").hidden;
    }
  </script>
  <script>
    var fileInput = document.getElementById('lampiran');
    fileInput.addEventListener('change', function(event) {
      var file = event.target.files[0];
      var allowedExtensions = /(\.jpeg|\.jpg|\.png|\.pdf)$/i; // Ekstensi yang diizinkan
      var maxSizeInBytes = 2 * 1024 * 1024; // Ukuran maksimum file dalam bytes (2MB)

      if (!allowedExtensions.exec(file.name)) {
        alert('File yang diunggah harus dalam format JPEG, JPG, PNG, atau PDF.');
        fileInput.value = ''; // Menghapus file yang diunggah
        return false;
      }

      if (file.size > maxSizeInBytes) {
        alert('Ukuran file tidak boleh melebihi 2MB.');
        fileInput.value = ''; // Menghapus file yang diunggah
        return false;
      }
    });
  </script>
</section>